For the complete documentation index, see llms.txt. This page is also available as Markdown.

List installed WordPress plugins

List plugins installed on a WordPress installation, including their status, available updates and known vulnerabilities.

List installed WordPress plugins

get

List plugins installed on a WordPress installation, including their status, available updates and known vulnerabilities.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Query parameters
categorystring · enum · nullableOptional

Filter installed plugins by category.

Example: cachePossible values:
Responses
200

Success response

application/json
namestringOptional

Plugin slug

Example: akismet
titlestringOptional

Human readable plugin name

Example: Akismet Anti-Spam
versionstringOptional

Installed plugin version

Example: 5.3
statusstring · enumOptional

Whether the plugin is active or inactive

Example: activePossible values:
updatestringOptional

Available update version, or "none" when up to date

Example: none
get/api/hosting/v1/accounts/{username}/wordpress/{software}/plugins
GET /api/hosting/v1/accounts/{username}/wordpress/{software}/plugins HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "akismet",
    "title": "Akismet Anti-Spam",
    "version": "5.3",
    "status": "active",
    "update": "none",
    "vulnerabilities": [
      {
        "title": "Cross-Site Scripting (XSS)",
        "description": "A stored XSS vulnerability affecting older versions.",
        "affected_in": "4.7.0",
        "fixed_in": "4.7.1",
        "direct_url": "https://www.wordfence.com/threat-intel/vulnerabilities/id/example"
      }
    ]
  }
]

Last updated

Was this helpful?